Chocobo Racing Forum  /  Accepted Emulators
  PullPull

hey ok wow we're like actually a community these days here's some guidelining to prevent Sony Speedrunning Shenanigans™

Accepted emulators:

ePSXe 1.8
ePSXe 1.9
ePSXe 2.0 [Good]
BizHawk [Good]

Fedecrash02Fedecrash02, yuusayuusa and 3 others like this. 
  AmenAnthemAmenAnthem
(edited: )

The list seems a bit outdated, could you please review it?
Current accurate emulators are really close to playing on original hardware, ePSXe is one of the emulators where some PS1 speedrun communities don't allow its useage anymore, because of its dependency on plugins to be somewhat accurate.
See https://emulation.gametechwiki.com/index.php/PlayStation_emulators for further details.

I think ePSXe should be disallowed for new runs, as its loading times differ from version to version.
Mednafen imo should be allowed, as it is extremely accurate and also the base for the core which BizHawk uses.

Pro_cnrPro_cnr likes this. 
  Pro_cnrPro_cnr
(edited: )

Edit : nvm I read the other thread about using igt, which is the best solution. This is great !

I'm planning to start speedrunning the game soon, and I 100% agree with accurate emulator, and banning ePSXe
But if you allow PStwo, maybe adding retro arch beetle core with 4x read speed to the list (which match PStwo fast read speed), not that I care (i'll run ILs and use bizhawk) but PS2 slim players might have an advantage on loading speed anyway

 
Latest News
View all
No news
Recent Threads
View all
Thread Author
Accepted Emulators
Last post
PullPull
2 replies
Change to IGT Timing
Last post
kariohkikariohki
3 replies
A Note on Emulator Delays
Last post
groggydoggroggydog
3 replies
Remove PS3,PSVita,PSN please.
Last post
[Deleted user]
0 replies
hey guys! IL standards
Last post
typhirztyphirz
1 replies